delta = 0.01

dx = 10.0 * (y-x)
dy = x * (28.0-z) - y
dz = x*y - (8.0/3.0)*z
xnew = x + delta*dx
ynew = y + delta*dy
znew = z + delta*dz

xval = map(xnew, -25, 25, 0, 200)
yval = map(ynew, -30, 30, 200, 0)
zval = map(znew, 0, 55, 200, 0)

MAXMESSAGE(0, xval, yval, zval, xval+2, yval+2, zval+2)

x = xnew
y = ynew
z = znew

// FMINST(outsk, dur, AMP, CARFREQ (Hz/oct.pc), MODFREQ (Hz/oct.pc),
//	LOWINDEX, HIGHINDEX[, PAN, WAVETABLE, INDEXENV])

amp = 10000
ampenv = maketable("line", 1000, 0,0, 1,1, 2,0)
wave = maketable("wave", 1000, "sine")

carfreq = map(xnew, -25, 25, 100, 1000)
modfreq = map(ynew, -30, 30, 100, 1000)
fmindex = map(znew, 0, 50, 0, 10)

FMINST(0, 0.2, amp*ampenv, carfreq, modfreq, fmindex, fmindex, 0, wave, 1.0)
